package com.op.mes.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 湿料计划管理对象 pro_wet_material_plan
 * 
 * @author Open Platform
 * @date 2023-07-24
 */
public class ProWetMaterialPlan extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** ID */
	private String id;

	/** 计划工厂编码 */
	@Excel(name = "计划工厂编码")
	private String factoryCode;

	/** 计划日期 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "计划日期", width = 30, dateFormat = "yyyy-MM-dd")
	private Date planTime;

	/** 已同步 */
	@Excel(name = "已同步")
	private String syncFlag;

	/** 订单类型 */
	private String orderType;

	/** 物料号 */
	private String prodCode;

	/** 物料名称 */
	private String prodDesc;

	/** 存放大罐 */
	private String prodSource;

	/** 订单数量 */
	private Long quantity;

	/** 单位 */
	private String unit;

	/** $column.columnComment */
	private String atrr1;

	/** $column.columnComment */
	private String atrr2;

	/** $column.columnComment */
	private String atrr3;

	/** 计划状态（1正常0停用） */
	private String status;

	/** 产品类型 */
	private String prodType;

	/** 计划编码 */
	private String planCode;

	/** 开始时间 */
	private Date startTime;

	/** 结束时间 */
	private Date endTime;

	/** 班次id */
	private Integer shiftId;

	/** 班次简称desc */
	private String shiftDesc;

	public Integer getShiftId() {
		return shiftId;
	}

	public void setShiftId(Integer shiftId) {
		this.shiftId = shiftId;
	}

	public String getShiftDesc() {
		return shiftDesc;
	}

	public void setShiftDesc(String shiftDesc) {
		this.shiftDesc = shiftDesc;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getId() {
		return id;
	}
	public void setFactoryCode(String factoryCode) {
		this.factoryCode = factoryCode;
	}

	public String getFactoryCode() {
		return factoryCode;
	}
	public void setPlanTime(Date planTime) {
		this.planTime = planTime;
	}

	public Date getPlanTime() {
		return planTime;
	}
	public void setSyncFlag(String syncFlag) {
		this.syncFlag = syncFlag;
	}

	public String getSyncFlag() {
		return syncFlag;
	}
	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}

	public String getOrderType() {
		return orderType;
	}
	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getProdCode() {
		return prodCode;
	}
	public void setProdDesc(String prodDesc) {
		this.prodDesc = prodDesc;
	}

	public String getProdDesc() {
		return prodDesc;
	}
	public void setProdSource(String prodSource) {
		this.prodSource = prodSource;
	}

	public String getProdSource() {
		return prodSource;
	}
	public void setQuantity(Long quantity) {
		this.quantity = quantity;
	}

	public Long getQuantity() {
		return quantity;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}

	public String getUnit() {
		return unit;
	}
	public void setAtrr1(String atrr1) {
		this.atrr1 = atrr1;
	}

	public String getAtrr1() {
		return atrr1;
	}
	public void setAtrr2(String atrr2) {
		this.atrr2 = atrr2;
	}

	public String getAtrr2() {
		return atrr2;
	}
	public void setAtrr3(String atrr3) {
		this.atrr3 = atrr3;
	}

	public String getAtrr3() {
		return atrr3;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}
	public void setProdType(String prodType) {
		this.prodType = prodType;
	}

	public String getProdType() {
		return prodType;
	}
	public void setPlanCode(String planCode) {
		this.planCode = planCode;
	}

	public String getPlanCode() {
		return planCode;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("id", getId())
			.append("factoryCode", getFactoryCode())
			.append("planTime", getPlanTime())
			.append("syncFlag", getSyncFlag())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("orderType", getOrderType())
			.append("prodCode", getProdCode())
			.append("prodDesc", getProdDesc())
			.append("prodSource", getProdSource())
			.append("quantity", getQuantity())
			.append("unit", getUnit())
			.append("atrr1", getAtrr1())
			.append("atrr2", getAtrr2())
			.append("atrr3", getAtrr3())
			.append("status", getStatus())
			.append("prodType", getProdType())
			.append("planCode", getPlanCode())
			.append("startTime",getStartTime())
			.append("endTime",getEndTime())
			.append("shiftId",getShiftId())
			.append("shiftDesc",getShiftDesc())
			.toString();
	}
}
